Skip to main content
GET
/
api
/
v2
/
affiliate
/
offers
List available offers
curl --request GET \
  --url 'https://{domain}/api/v2/affiliate/offers?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "offers": [
      {
        "id": 123,
        "title": "<string>",
        "description": "<string>",
        "image": "<string>",
        "extended_targeting": "<string>",
        "currency": "<string>",
        "aff_epc": "<string>",
        "ar": "<string>",
        "cr": "<string>",
        "traffic_types_selected": "<string>",
        "goals": [
          {
            "goal_id": 123,
            "goal_name": "<string>",
            "tracking_method": 123,
            "conversion_status": 123,
            "multiple_conversions": 123,
            "has_caps": 123,
            "caps": "<string>",
            "alias": "<string>",
            "is_default": 123,
            "payout": "<string>",
            "goalType": {
              "id": 123,
              "title": "<string>",
              "color": "<string>",
              "type": "<string>"
            },
            "goal_type": 123,
            "goal_type_name": "<string>",
            "payoutByCountry": [
              {
                "country": {
                  "id": 123,
                  "title": "<string>",
                  "code": "<string>"
                },
                "payout": {
                  "value": 123
                }
              }
            ],
            "payoutByTier": [
              {
                "tier": {
                  "id": 123,
                  "title": "<string>",
                  "color": "<string>",
                  "isDefault": true
                },
                "payout": {
                  "value": 123
                }
              }
            ],
            "payout_for_affiliate": "<string>"
          }
        ],
        "targeting": {
          "geo": {
            "allowed": "<string>",
            "denied": "<string>"
          },
          "extended_targeting": [
            {}
          ]
        },
        "visible_type_selected": [
          {
            "id": 123,
            "title": "<string>",
            "requests": [
              {}
            ],
            "availability": "<string>"
          }
        ],
        "categories": [
          {
            "id": 123,
            "title": "<string>"
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Query Parameters

page
integer

Page number.

perPage
integer

Items per page.

sortField
string

Sort field.

sortDirection
enum<string>

Sort direction.

Available options:
asc,
desc

Search by text or ID.

columns
string

Comma-separated column keys.

Response

Offers list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object